> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getTransactionDetails

> Returns data from a specific transaction



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getTransactionDetails
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getTransactionDetails:
    post:
      tags:
        - ZKSync API
      summary: zks_getTransactionDetails
      description: Returns data from a specific transaction
      operationId: zks_getTransactionDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getTransactionDetails
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - >-
                      0xe72d991deef96a0dd64a71ceea2006eef779ce220bb36e7fe5f503b1c24c7205
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: zks_getTransactionDetails
              params:
                - >-
                  0x5e4243c644d2f1cd5a7ad6ef7b4bb233a3ed7eac71b7bd4fb71e2c62929a69ab
      responses:
        '200':
          description: Returns the transaction details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProofResponse'
              examples:
                example1:
                  value:
                    jsonrpc: '2.0'
                    result:
                      address: '0x0000000000000000000000000000000000008003'
                      storageProof:
                        - key: >-
                            0x8b65c0cf1012ea9f393197eb24619fd814379b298b238285649e14f936a5eb12
                          proof:
                            - >-
                              0xe3e8e49a998b3abf8926f62a5a832d829aadc1b7e059f1ea59ffbab8e11edfb7
                    id: 1
components:
  schemas:
    ProofResponse:
      $ref: 4f645f4e-e9fb-486f-b67a-f4a601f1ebd0

````